procedure aiscor_5 (input)

file	input {prompt="List of observations to flux calibrate"}

bool	calibrate {yes,prompt="Run calfos to recalibrate?"}

struct	*in_list

begin
	# Declarations
	file	fname
	file	in_list_file
	file	pinput
	
	# Get interactive parameters
	pinput = input

	# Make temporary file names.
	in_list_file = mktemp ("tmp$Example")

	# Update the headers and recalibrate.
	files (pinput, sort=yes, > in_list_file)
	in_list = in_list_file
	while (fscan (in_list, fname) != EOF) {

	    hedit (fname, "apr_corr", "PERFORM", add=yes)
	    hedit (fname, "ais_corr", "PERFORM", add=yes)
	    hedit (fname, "tim_corr", "PERFORM", add=yes)
	    fparse (fname, verbose=no)
	    getreffile (fparse.root, long=no, cdbspar="") |
		upreffile ("", yes, template="*.d0h", verify=no)

	    if (calibrate)
		calfos (fparse.root, fparse.root//"_flx")
	}
	in_list = ""

	# That's all folks.
	delete ("tmp$Example*", verify=no, >& "dev$null")
end
